﻿using UnityEngine;
using System.Collections;

public class DogEnemy : MonoBehaviour {

	private Vector3 faceScale;
	private static int LEFT = 1;
	private static int RIGHT = 2;
	private int currentDirection = LEFT;

	// Use this for initialization
	void Start () {
		this.faceScale = transform.localScale;
	}
	
	// Update is called once per frame
	void Update () {
		Walk();
	}

	void Walk() {
		if (currentDirection == LEFT) {
			transform.Translate(-Vector2.right * GetSpeed() * UnityEngine.Time.deltaTime); 
			transform.localScale = faceScale;
		} else {
			transform.Translate(Vector2.right * GetSpeed() * UnityEngine.Time.deltaTime); 
			Vector3 newScale = faceScale;
			newScale.x *= -1;
			transform.localScale = newScale;
		}
	}

	public float GetSpeed() {
		return 1.5f;
	}

	void OnCollisionEnter2D(Collision2D collision) {
		Debug.Log("Collll!!!!");
		if (collision.gameObject.name == "Character") {
			collision.gameObject.GetComponent<MainCharControl>().Die();
		}

	    if(collision.gameObject.tag == "wall") {
	    	if (currentDirection == LEFT) {
	    		currentDirection = RIGHT;
    		} else {
    			currentDirection = LEFT;
    		}
	    }
	}
}
