﻿using UnityEngine;
using System.Collections;

public class RaycastEnemy : MonoBehaviour {

	private Vector3 faceScale;
	private static int LEFT = 1;
	private static int RIGHT = 2;
	private int currentDirection = LEFT;

	// Use this for initialization
	void Start () {
		this.faceScale = transform.localScale;
	}
	
	// Update is called once per frame
	void Update () {
		Walk();
		throwRaycast();
	}

	void Walk() {
		float speed = 0.6f;
		if (currentDirection == LEFT) {
			transform.Translate(-Vector2.right * speed * UnityEngine.Time.deltaTime); 
			transform.localScale = faceScale;
		} else {
			transform.Translate(Vector2.right * speed * UnityEngine.Time.deltaTime); 
			Vector3 newScale = faceScale;
			newScale.x *= -1;
			transform.localScale = newScale;
		}
	}

	bool throwRaycast() {
		Debug.Log("Throw");
		//Debug.DrawRay(transform.position, GameObject.Find("Character").transform, Color.cyan);
		Physics.Raycast(transform.position, new Vector3(), 1f);
		return true;
	}

	void OnCollisionEnter2D(Collision2D collision) {
	    if(collision.gameObject.tag == "wall") {
	    	if (currentDirection == LEFT) {
	    		currentDirection = RIGHT;
    		} else {
    			currentDirection = LEFT;
    		}
	    }
	}
}
