﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using System;

public class KeyBindings {

	public static string JUMP = "JUMP";
	public static string MOVE_LEFT = "MOVE_LEFT";
	public static string MOVE_RIGHT = "MOVE_RIGHT";

	private UniqueDictonary actions = new UniqueDictonary(new Dictionary<string, KeyCode>());

	public KeyBindings() {
		// Set actions
		actions.Add(JUMP, KeyCode.None);
		actions.Add(MOVE_LEFT, KeyCode.None);
		actions.Add(MOVE_RIGHT, KeyCode.None);
	}

	public bool ActionExists(string action) {
		return actions.KeyExists(action);
	}

	public bool SetKeyForAction(KeyCode key, string action) {
		if (key == KeyCode.None || action == null) {
			return false;
		}
		try {
			actions.UpdateValue(action, key);
			return true;
		} catch (ArgumentException e) {
			return false;
		}
	}

	public string GetActionFromKeysPressed(KeyCode pressedKeys) {
		if (pressedKeys == KeyCode.None) {
			return null;
		}

		if (!actions.ValueExists(pressedKeys)) {
			Debug.Log("Action for keys '"+pressedKeys+"' does not exists");
			return null;
		}

		return actions.GetByValue(pressedKeys);
	}

	
}
