﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System;

public class UniqueDictonary {

	private Dictionary<string, KeyCode> dictionary;

	public UniqueDictonary(Dictionary<string, KeyCode> dictionary) {
		this.dictionary = dictionary;
	}

	public void Add(string key, KeyCode val) {
		if (val != KeyCode.None && ValueExists(val)) {
			throw new ArgumentException("Value already exists");
		}
		dictionary.Add(key, val);
	}

	public bool KeyExists(string key) {
		return dictionary.ContainsKey(key);
	}

	public void UpdateValue(string key, KeyCode val) {
		if (ValueExists(val)) {
			throw new ArgumentException("Value already exists");
		}
		dictionary[key] = val;
	}

	public override string ToString() {
		string data = "";
		foreach(KeyValuePair<string, KeyCode> entry in dictionary) {
		    data += "{"+entry.Key+":"+entry.Value+"}";
		}
		return data;
	}

	public KeyCode GetByKey(string key) {
		return dictionary[key];
	}

	public string GetByValue(KeyCode val) {
		return dictionary.FirstOrDefault(x => x.Value == val).Key;
	}

	public bool ValueExists(KeyCode val) {
		return (GetByValue(val) != null);
	}
}
